diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index cc12ff073..8b94c5fa4 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -164,59 +164,6 @@ enum special_tags
 
 int SurgeGUIEditor::start_paramtag_value = start_paramtags;
 
-std::string specialTagToString( special_tags t )
-{
-   if( t >= tag_mod_source0 && t < tag_mod_source_end )
-   {
-      modsources modsource = (modsources)(t - tag_mod_source0);
-      std::string s = std::string( "tag_modsource_" ) + modsource_names_tag[modsource];
-      return s;
-   }
-
-   switch( t ) {
-   case tag_scene_select:
-      return "tag_scene_select";
-   case tag_osc_select:
-      return "tag_osc_select";
-   case tag_osc_menu:
-      return "tag_osc_menu";
-   case tag_fx_select:
-      return "tag_fx_select";
-   case tag_fx_menu:
-      return "tag_fx_menu";
-   case tag_patchname:
-      return "tag_patchname";
-   case tag_statuspanel:
-      return "tag_statuspanel";
-   case tag_mp_category:
-      return "tag_mp_category";
-   case tag_mp_jogfx:
-      return "tag_mp_jogfx";
-   case tag_mp_patch:
-      return "tag_mp_patch";
-   case tag_store:
-      return "tag_store";
-   case tag_store_cancel:
-      return "tag_store_cancel";
-   case tag_store_ok:
-      return "tag_store_ok";
-   case tag_store_name:
-      return "tag_store_name";
-   case tag_store_category:
-      return "tag_store_category";
-   case tag_store_creator:
-      return "tag_store_creator";
-   case tag_store_comments:
-      return "tag_store_comments";
-   case tag_store_tuning:
-      return "tag_store_tuning";
-   case tag_settingsmenu:
-      return "tag_store_settingsmenu";
-   default:
-      return "ERROR";
-   }
-}
-
 SurgeGUIEditor::SurgeGUIEditor(void* effect, SurgeSynthesizer* synth, void* userdata) : super(effect)
 {
 #ifdef INSTRUMENT_UI
@@ -5982,348 +5929,18 @@ VSTGUI::COptionMenu *SurgeGUIEditor::makeDevMenu(VSTGUI::CRect &menuRect)
     tid++;
 #endif
 
-    addCallbackMenu(devSubMenu, Surge::UI::toOSCaseForMenu("Show Queried Colors"),
+    addCallbackMenu(devSubMenu, Surge::UI::toOSCaseForMenu("Show Skin Inspector"),
                     [this]()
                        {
                           // auto qc = this->currentSkin->getQueriedColors();
-                          std::set<std::string> ss; // ( qc.begin(), qc.end() );
                           std::ostringstream htmls;
-                          htmls << "<html><body><h1>Will Be Back Soon in Nightly (see #2549)</h1>\n<table border=1><tr><th>tag</th><th>value in skin</th></tr>\n";
-                          for( auto s : ss )
-                          {
-                             htmls << "<tr><td>" << s << "</td><td>";
-                             if( this->currentSkin->hasColor(s) )
-                             {
-                                auto c = this->currentSkin->getColor(s,kBlackCColor);
-                                htmls << "#" << std::hex << (int)c.red << (int)c.green << (int)c.blue << std::dec << std::endl;
-                             }
-                             else
-                             {
-                                htmls << "default" << std::endl;
-                             }
-                             htmls << "</td></tr>\n";
-                          }
-                          htmls << "</pre></body></html>\n";
+                          htmls << "<html><body><h1>Will Be Back Soon</h1><a href=\"https://github.com/surge-synthesizer/surge/issues/2747\">See Issue #2747</a>\n\n";
+                          htmls << "</body></html>\n";
                           Surge::UserInteractions::showHTML( htmls.str() );
                        }
        );
     tid++;
 
-    /*
-    ** This code takes a running surge and makes an XML file we can use to bootstrap the layout manager.
-    ** It as used as we transitioned from 1.6.5 to 1.7 to do the first layout file which matched
-    ** surge exactly
-    */
-    addCallbackMenu(devSubMenu, Surge::UI::toOSCaseForMenu("Dump Components to stdout and runtime.xml"),
-                    [this]()
-                    {
-                       std::ostringstream oss;
-                       auto leafOp =
-                          [this, &oss](CView *v) {
-                             CControl *c = dynamic_cast<CControl *>(v);
-                             if( c )
-                             {
-                                auto tag = c->getTag();
-
-                                // Some cases where we don't want to eject the control
-                                if( tag >= tag_store && tag <= tag_store_tuning )
-                                   return;
-                                if( dynamic_cast<CAboutBox*>( c ) )
-                                   return;
-                                if( dynamic_cast<COptionMenu*>( c ) )
-                                   return;
-                                if( dynamic_cast<CParameterTooltip*>( c ) )
-                                   return;
-                                if( dynamic_cast<CEffectLabel*>( c ) )
-                                   return;
-                                if( c == this->patchTuningLabel )
-                                   return;
-
-                                // OK so we want to eject this one. Lets get to work
-                                Parameter *p = nullptr;
-                                if( tag >= start_paramtags )
-                                {
-                                   p = this->synth->storage.getPatch().param_ptr[tag - start_paramtags];
-                                }
-                                oss << "    <control " ;
-                                if( p )
-                                {
-                                   oss << "ui_identifier=\""  <<  p->ui_identifier << "\"";
-                                }
-                                else if( c->getTag() >= tag_scene_select && c->getTag() < start_paramtags )
-                                {
-                                   oss << "tag_value=\"" << c->getTag() << "\" tag_name=\"" << specialTagToString( (special_tags)(c->getTag()) ) << "\"";
-                                }
-                                else
-                                {
-                                   oss << "special=\"true\" ";
-                                }
-                                auto vs = c->getViewSize();
-                                oss << " x=\"" << vs.left << "\" y=\"" << vs.top
-                                          << "\" w=\"" << vs.getWidth() << "\" h=\"" << vs.getHeight() << "\"";
-
-                                /*
-                                if( p )
-                                   oss << " posx=\"" << p->posx << "\" "
-                                       << " posy=\"" << p->posy << "\" "
-                                       << " posy_offset=\"" << p->posy_offset << "\" ";
-                                */
-
-                                auto dumpBG = [&oss](CControl *a) {
-                                                 auto bg = a->getBackground();
-                                                 auto rd = bg->getResourceDescription();
-                                                 if( rd.type == CResourceDescription::kIntegerType )
-                                                 {
-                                                    ios::fmtflags f(oss.flags());
-                                                    oss << " bg_resource=\"SVG/bmp" << std::setw(5) << std::setfill('0') << rd.u.id << ".svg\" ";
-                                                    oss << " bg_id=\""  << rd.u.id << "\" ";
-                                                    oss.flags(f);
-                                                 }
-                                              };
-
-                                if( auto a = dynamic_cast<CHSwitch2 *>(c) )
-                                {
-                                   oss << " class=\"CHSwitch2\" ";
-                                   dumpBG(a);
-                                   oss << " subpixmaps=\"" << a->getNumSubPixmaps()
-                                       << "\" rows=\"" << a->rows
-                                       << "\" columns=\"" << a->columns << "\"";
-                                }
-                                else if( auto a = dynamic_cast<CSurgeSlider *>(c) )
-                                {
-                                   if( p->ctrlstyle & Surge::ParamConfig::kHorizontal )
-                                   {
-                                      if( p->ctrlstyle & kWhite )
-                                         oss << " class=\"light-hslider\"";
-                                      else
-                                         oss << " class=\"dark-hslider\"";
-                                   }
-                                   else
-                                   {
-                                      if( p->ctrlstyle & kWhite )
-                                         oss << " class=\"light-vslider\"";
-                                      else
-                                         oss << " class=\"dark-vslider\"";
-                                   }
-
-                                }
-                                else if( auto a = dynamic_cast<CSwitchControl *>(c) )
-                                {
-                                   oss << " class=\"CSwitchControl\" ";
-                                   dumpBG(a);
-                                }
-                                else if( auto a = dynamic_cast<CModulationSourceButton *>(c) )
-                                {
-                                   oss << " class=\"CModulationSourceButton\" ";
-                                }
-                                else if( auto a = dynamic_cast<CNumberField *>(c) )
-                                {
-                                   oss << " class=\"CNumberField\" ";
-                                   // want to collect controlmode and altlook
-                                }
-                                else if( auto a = dynamic_cast<COscillatorDisplay *>(c) )
-                                {
-                                   oss << " class=\"COscillatorDisplay\" ";
-                                }
-                                else if( auto a = dynamic_cast<CStatusPanel *>(c) )
-                                {
-                                   oss << " class=\"CStatusPanel\" ";
-                                }
-                                else if( auto a = dynamic_cast<CPatchBrowser *>(c) )
-                                {
-                                   oss << " class=\"CPatchBrowser\" ";
-                                }
-                                else if( auto a = dynamic_cast<CSurgeVuMeter *>(c) )
-                                {
-                                   oss << " class=\"CSurgeVuMeter\" ";
-                                }
-                                else if( auto a = dynamic_cast<CLFOGui *>(c) )
-                                {
-                                   oss << " class=\"CLFOGui\" ";
-                                }
-                                else if( auto a = dynamic_cast<CEffectSettings *>(c) )
-                                {
-                                   oss << " class=\"CEffectSettings\" ";
-                                }
-                                else
-                                {
-                                   oss << " rtti_class=\"" << typeid(*c).name() << "\" tag=\"" << tag << "\" ";
-                                }
-                                oss << "/>\n";
-                             }
-                             else
-                             {
-                                // oss << "Something Else " << typeid(*v).name() << std::endl;
-                                // this is always a container and it is recurse by the stack thingy below
-                             }
-                          };
-
-                       std::stack<CView*> stk;
-                       stk.push( this->frame );
-                       oss << "<surge-layout>\n";
-                       oss << "  <globals>\n";
-                       oss << "  </globals\n";
-
-                       oss << "  <component-classes>\n";
-                       oss << "    <class name=\"dark-vslider\" parent=\"CSurgeSlider\" orientation=\"vertical\" white=\"false\"/>\n";
-                       oss << "    <class name=\"light-vslider\" parent=\"CSurgeSlider\" orientation=\"vertical\" white=\"true\"/>\n";
-                       oss << "    <class name=\"dark-hslider\" parent=\"CSurgeSlider\" orientation=\"horizontal\" white=\"false\"/>\n";
-                       oss << "    <class name=\"light-hslider\" parent=\"CSurgeSlider\" orientation=\"horizontal\" white=\"true\"/>\n";
-                       oss << "  </component-classes>\n\n";
-
-                       oss << "  <controls>\n";
-                       while( ! stk.empty() )
-                       {
-                          auto e = stk.top();
-                          stk.pop();
-                          leafOp(e);
-                          auto c = dynamic_cast<CViewContainer *>(e);
-                          if( c )
-                          {
-                             c->forEachChild( [&stk](CView *cc) { stk.push(cc); } );
-                             // oss << "Added " << stk.size() - b << " elements" << std::endl;
-                          }
-                       }
-                       oss << "  </controls>" << std::endl;
-                       oss << "</surge-layout>\n";
-
-                       std::cout << oss.str();
-                       std::ofstream of( "runtime.xml" );
-                       of << oss.str();
-                       of.close();
-                    }
-        );
-    tid++;
-
-    addCallbackMenu(
-        devSubMenu,
-        Surge::UI::toOSCaseForMenu("Dump Documentation XML to stdout and docstrings.xml"),
-                    [this]()
-                       {
-                          std::ostringstream oss;
-
-                          oss << "<param-doc>\n";
-
-#define OSSCG(x) oss << "  <ctrl_group group=\"" << x << "\" group_name=\"" << (#x) << "\" help_url=\"\"/>\n";
-                          OSSCG( cg_GLOBAL );
-                          OSSCG( cg_OSC );
-                          OSSCG( cg_MIX );
-                          OSSCG( cg_FILTER );
-                          OSSCG( cg_ENV );
-                          OSSCG( cg_LFO );
-                          OSSCG( cg_FX );
-
-                          for( auto cg = (int)cg_GLOBAL; cg < (int)endCG; ++cg )
-                          {
-                             std::set<std::string> pn;
-                             for( auto p : this->synth->storage.getPatch().param_ptr )
-                             {
-                                if( p->ctrlgroup == cg )
-                                {
-                                   pn.insert( p->ui_identifier );
-                                }
-                             }
-                             if( pn.size() )
-                             {
-                                oss << "\n  <!-- Params for CG " << (int)cg << " -->\n";
-                                for( auto el : pn )
-                                {
-                                   oss << "  <param id=\"" << el << "\" help_url=\"\"/>\n";
-                                }
-
-                                if( cg == cg_OSC )
-                                {
-                                   for( int i=ot_classic; i<ot_WT2; ++i )
-                                   {
-                                      switch(i)
-                                      {
-                                      case ot_classic:
-                                         oss << "\n  <!-- special case oscillator params for Classic ";
-                                         break;
-                                      case ot_sinus:
-                                         oss << "\n  <!-- special case oscillator params for Sine ";
-                                         break;
-                                      case ot_wavetable:
-                                         oss << "\n  <!-- special case oscillator params for Wavetable ";
-                                         break;
-                                      case ot_shnoise:
-                                         oss << "\n  <!-- special case oscillator params for S&H Noise ";
-                                         break;
-                                      case ot_audioinput:
-                                         oss << "\n  <!-- special case oscillator params for Audio Input ";
-                                         break;
-                                      case ot_FM3:
-                                         oss << "\n  <!-- special case oscillator params for FM3 ";
-                                         break;
-                                      case ot_FM2:
-                                         oss << "\n  <!-- special case oscillator params for FM2 ";
-                                         break;
-                                      case ot_WT2:
-                                         oss << "\n  <!-- special case oscillator params for Window ";
-                                         break;
-                                      default:
-                                         oss << "\n  <!-- ERROR ";
-                                         break;
-                                      }
-                                      oss << "(" << i << ") -->\n";
-                                      for( auto n : pn )
-                                      {
-                                         if( n.find( "param" ) != string::npos )
-                                         {
-                                            oss << "  <param id=\"" << n << "\" type=\"" << i << "\" help_url=\"\"/>\n";
-                                         }
-                                      }
-                                   }
-                                }
-                                if( cg == cg_FX )
-                                {
-                                   for( int i=fxt_delay; i<num_fxtypes; ++i )
-                                   {
-#define CFX(x) case x: { oss << "\n  <!-- special case FX Param for " << (#x); break; }
-                                      switch(i)
-                                      {
-                                         CFX(fxt_delay)
-                                            CFX(fxt_reverb)
-                                            CFX(fxt_phaser)
-                                            CFX(fxt_rotaryspeaker)
-                                            CFX(fxt_distortion)
-                                            CFX(fxt_eq)
-                                            CFX(fxt_freqshift)
-                                            CFX(fxt_conditioner)
-                                            CFX(fxt_chorus4)
-                                            CFX(fxt_vocoder)
-                                            CFX(fxt_reverb2)
-                                            CFX(fxt_flanger)
-                                            CFX(fxt_ringmod)
-
-                                      default:
-                                         oss << "\n  <!-- ERROR ";
-                                         break;
-                                      }
-                                      oss << "(" << i << ") -->\n";
-                                      for( auto n : pn )
-                                      {
-                                         if( n.find( "param" ) != string::npos )
-                                         {
-                                            oss << "  <param id=\"" << n << "\" type=\"" << i << "\" help_url=\"\"/>\n";
-                                         }
-                                      }
-                                   }
-                                }
-
-                             }
-                          }
-
-                          oss << "</param-doc>\n";
-
-                          std::cout << oss.str();
-                          std::ofstream of( "docstrings.xml" );
-                          of << oss.str();
-                          of.close();
-                       }
-       );
-    tid++;
-
     return devSubMenu;
 }
 
